services:
    api:
        build:
            context: ./api
            dockerfile: api.Dockerfile
        container_name: api
        restart: unless-stopped
        ports:
            - "5000:5000"
        volumes:
            - ./api/databaseVolume:/db
    dashboard:
        build:
            context: ./dashboard
            dockerfile: dashboard.Dockerfile
        container_name: dashboard
        restart: unless-stopped
        ports:
            - "80:80"
        depends_on:
            - "api"
    webapp:
        build:
            context: ./webapp
            dockerfile: webapp.Dockerfile
        container_name: webapp
        restart: unless-stopped
        ports:
            - "81:80"
        depends_on:
            - "api"
